Name: aqemu
Version: 0.8.2
Release: 3%{?dist}
Summary: A QT graphical interface to QEMU and KVM
Group: Applications/Emulators
License: GPLv2
URL: http://aqemu.sourceforge.net
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0: aqemu-0.8.2-fedora-desktop.patch
BuildRequires: qt-devel 
BuildRequires: cmake 
BuildRequires: libvncserver-devel
BuildRequires: desktop-file-utils

%description
AQEMU is a graphical user interface to QEMU and KVM, written in Qt4. The 
program has a user-friendly interface and allows user to set the 
majority of QEMU and KVM options on their virtual machines.

%prep
%setup -q
%patch0 -b .desktop

%build
%cmake
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
mv %{buildroot}/%{_datadir}/pixmaps/%{name}_48x48.png %{buildroot}/%{_datadir}/pixmaps/%{name}.png
rm -rf %{buildroot}/%{_datadir}/menu
rm -rf %{buildroot}/%{_datadir}/doc/%{name}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/%{name}
%doc AUTHORS CHANGELOG COPYING README TODO
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}*.png
%{_mandir}/man1/%{name}*

%changelog
* Tue Aug 30 2011 Stephen Gordon <sgordon@redhat.com> - 0.8.2-3
- Escaped macros in changelog (bz#734275).
- Dropped explicit requires fields (bz#734275).
- Updated to use desktop-file-validate for desktop file (bz#734275).
- Settled on %%{buildroot} for referring to build root consistently 
  (bz#734275).
- Updated to deploy documentation files to correct location (bz#734275).
* Tue Aug 30 2011 Stephen Gordon <sgordon@redhat.com> - 0.8.2-2
- Updated Source0 to include full URL (bz#734275).
- Removed BuildRoot, %%clean, and %%defattr, not required (bz#734275).
- Moved icon file manipulation from %%prep to %%install (bz#734275).
- Modified to use %cmake macro instead of explicit cmake call (bz#734275).
- Added smp flags to make call (bz#734275).
- Modified to use make install instead of make install/strip (bz#734275).
- Modified to ensure correct DESTDIR on make call (bz#734275).
* Mon Aug 29 2011 Stephen Gordon <sgordon@redhat.com> - 0.8.2-1
- Initial packaging of aqemu 0.8.2 for Fedora, based on SuSE aqemu 0.8.1 RPM.
